# Linux, Seq or OMP
linux_omp_template = """# Makefile generated by ANNarchy
all:
\tcython -%(py_major)s build/net%(net_id)s/ANNarchyCore%(net_id)s.pyx --cplus
\t%(compiler)s %(cpu_flags)s -shared -fPIC -fpermissive -std=c++0x  %(openmp)s \\
        %(python_include)s -I%(numpy_include)s \\
        %(python_lib)s %(libs)s \\
        build/net%(net_id)s/*.cpp -o ANNarchyCore%(net_id)s.so

clean:
\trm -rf build/net%(net_id)s/*.o
\trm -rf build/net%(net_id)s/*.so
\trm -rf *.so
"""

# Linux, CUDA
linux_cuda_template = """# Makefile generated by ANNarchy
all:
\tcython -%(py_major)s build/net%(net_id)s/ANNarchyCore%(net_id)s.pyx --cplus
\tnvcc %(cuda_gen)s %(gpu_flags)s  -Xcompiler -fPIC -shared \\
        %(python_include)s -I%(numpy_include)s \\
        -lpython%(py_version)s \\
        build/net%(net_id)s/*.cu build/net%(net_id)s/*.cpp -o ANNarchyCore%(net_id)s.so 

clean:
\trm -rf build/net%(net_id)s/*.o
\trm -rf build/net%(net_id)s/*.so
\trm -rf *.so
"""

# OSX, Seq only
osx_seq_template = """# Makefile generated by ANNarchy
all:
\tcython -%(py_major)s build/net%(net_id)s/ANNarchyCore%(net_id)s.pyx --cplus
\t%(compiler)s -stdlib=libc++ -std=c++11 -fPIC -shared %(cpu_flags)s -fpermissive \\
        %(python_include)s -I%(numpy_include)s \\
        %(python_lib)s %(libs)s \\
        build/net%(net_id)s/*.cpp -o ANNarchyCore%(net_id)s.so

clean:
\trm -rf build/net%(net_id)s/*.o
\trm -rf build/net%(net_id)s/*.so
\trm -rf *.so
"""
